IHistogram2D (Colt 1.2.0 - API Specification)
Keywords: hep.aida.IHistogram2D interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hep.aida
Interface IHistogram2D

All Superinterfaces:
  IHistogram, Serializable

All Known Implementing Classes:
  hep.aida.ref.AbstractHistogram2D, Histogram2D

public interface IHistogram2D
extends IHistogram

A Java interface corresponding to the AIDA 2D Histogram.

Note All methods that accept a bin number as an argument will also accept the constants OVERFLOW or UNDERFLOW as the argument, and as a result give the contents of the resulting OVERFLOW or UNDERFLOW bin.

Version:
  1.0, 23/03/2000
See Also:
  AIDA

Field Summary

Fields inherited from interface hep.aida.IHistogram
`OVERFLOW, serialVersionUID, UNDERFLOW`

Method Summary
`int` | `binEntries(int indexX, int indexY)` The number of entries (ie the number of times fill was called for this bin).
`int` | `binEntriesX(int indexX)` Equivalent to `projectionX().binEntries(indexX)`.
`int` | `binEntriesY(int indexY)` Equivalent to `projectionY().binEntries(indexY)`.
`double` | `binError(int indexX, int indexY)` The error on this bin.
`double` | `binHeight(int indexX, int indexY)` Total height of the corresponding bin (ie the sum of the weights in this bin).
`double` | `binHeightX(int indexX)` Equivalent to `projectionX().binHeight(indexX)`.
`double` | `binHeightY(int indexY)` Equivalent to `projectionY().binHeight(indexY)`.
`void` | `fill(double x, double y)` Fill the histogram with weight 1.
`void` | `fill(double x, double y, double weight)` Fill the histogram with specified weight.
`double` | `meanX()` Returns the mean of the histogram, as calculated on filling-time projected on the X axis.
`double` | `meanY()` Returns the mean of the histogram, as calculated on filling-time projected on the Y axis.
`int[]` | `minMaxBins()` Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.
`IHistogram1D` | `projectionX()` Create a projection parallel to the X axis.
`IHistogram1D` | `projectionY()` Create a projection parallel to the Y axis.
`double` | `rmsX()` Returns the rms of the histogram as calculated on filling-time projected on the X axis.
`double` | `rmsY()` Returns the rms of the histogram as calculated on filling-time projected on the Y axis.
`IHistogram1D` | `sliceX(int indexY)` Slice parallel to the Y axis at bin indexY and one bin wide.
`IHistogram1D` | `sliceX(int indexY1, int indexY2)` Create a slice parallel to the axis X axis, between "indexY1" and "indexY2" (inclusive).
`IHistogram1D` | `sliceY(int indexX)` Slice parallel to the X axis at bin indexX and one bin wide.
`IHistogram1D` | `sliceY(int indexX1, int indexX2)` Create a slice parallel to the axis Y axis, between "indexX1" and "indexX2" (inclusive) The returned IHistogram1D represents an instantaneous snapshot of the histogram at the time the slice was created.
`IAxis` | `xAxis()` Return the X axis.
`IAxis` | `yAxis()` Return the Y axis.

Methods inherited from interface hep.aida.IHistogram
`allEntries, dimensions, entries, equivalentBinEntries, extraEntries, reset, sumAllBinHeights, sumBinHeights, sumExtraBinHeights, title`

Method Detail

### binEntries

    public int binEntries(int indexX,
                          int indexY)

  The number of entries (ie the number of times fill was called for this bin).

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.

### binEntriesX

    public int binEntriesX(int indexX)

  Equivalent to `projectionX().binEntries(indexX)`.

### binEntriesY

    public int binEntriesY(int indexY)

  Equivalent to `projectionY().binEntries(indexY)`.

### binError

    public double binError(int indexX,
                           int indexY)

  The error on this bin.

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.

### binHeight

    public double binHeight(int indexX,
                            int indexY)

  Total height of the corresponding bin (ie the sum of the weights in this bin).

  Parameters:
    `indexX` - the x bin number (0...Nx-1) or OVERFLOW or UNDERFLOW.
    `indexY` - the y bin number (0...Ny-1) or OVERFLOW or UNDERFLOW.

### binHeightX

    public double binHeightX(int indexX)

  Equivalent to `projectionX().binHeight(indexX)`.

### binHeightY

    public double binHeightY(int indexY)

  Equivalent to `projectionY().binHeight(indexY)`.

### fill

    public void fill(double x,
                     double y)

  Fill the histogram with weight 1.

### fill

    public void fill(double x,
                     double y,
                     double weight)

  Fill the histogram with specified weight.

### meanX

    public double meanX()

  Returns the mean of the histogram, as calculated on filling-time projected on the X axis.

### meanY

    public double meanY()

  Returns the mean of the histogram, as calculated on filling-time projected on the Y axis.

### minMaxBins

    public int[] minMaxBins()

  Indexes of the in-range bins containing the smallest and largest binHeight(), respectively.

  Returns:
    `{minBinX,minBinY, maxBinX,maxBinY}`.

### projectionX

    public IHistogram1D projectionX()

  Create a projection parallel to the X axis. Equivalent to `sliceX(UNDERFLOW,OVERFLOW)`.

### projectionY

    public IHistogram1D projectionY()

  Create a projection parallel to the Y axis. Equivalent to `sliceY(UNDERFLOW,OVERFLOW)`.

### rmsX

    public double rmsX()

  Returns the rms of the histogram as calculated on filling-time projected on the X axis.

### rmsY

    public double rmsY()

  Returns the rms of the histogram as calculated on filling-time projected on the Y axis.

### sliceX

    public IHistogram1D sliceX(int indexY)

  Slice parallel to the Y axis at bin indexY and one bin wide. Equivalent to `sliceX(indexY,indexY)`.

### sliceX

    public IHistogram1D sliceX(int indexY1,
                               int indexY2)

  Create a slice parallel to the axis X axis, between "indexY1" and "indexY2" (inclusive). The returned IHistogram1D represents an instantaneous snapshot of the histogram at the time the slice was created.

### sliceY

    public IHistogram1D sliceY(int indexX)

  Slice parallel to the X axis at bin indexX and one bin wide. Equivalent to `sliceY(indexX,indexX)`.

### sliceY

    public IHistogram1D sliceY(int indexX1,
                               int indexX2)

  Create a slice parallel to the axis Y axis, between "indexX1" and "indexX2" (inclusive) The returned IHistogram1D represents an instantaneous snapshot of the histogram at the time the slice was created.

### xAxis

    public IAxis xAxis()

  Return the X axis.

### yAxis

    public IAxis yAxis()

  Return the Y axis.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage